HTMLEventInfo (NekoHTML 1.9.21-SNAPSHOT Implementation)
Date: 2014-03-11

org.cyberneko.html

## Interface HTMLEventInfo

- All Known Implementing Classes:
    HTMLEventInfo.SynthesizedItem, HTMLScanner.LocationItem

      public interface HTMLEventInfo

  This interface is used to pass augmentated information to the application through the XNI pipeline.
  Version:
    $Id: HTMLEventInfo.java,v 1.4 2005/02/14 03:56:54 andyc Exp $
  Author:
    Andy Clark

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `HTMLEventInfo.SynthesizedItem` Synthesized infoset item.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getBeginCharacterOffset()` Returns the character offset of the beginning of this event.
    `int` | `getBeginColumnNumber()` Returns the column number of the beginning of this event.
    `int` | `getBeginLineNumber()` Returns the line number of the beginning of this event.
    `int` | `getEndCharacterOffset()` Returns the character offset of the end of this event.
    `int` | `getEndColumnNumber()` Returns the column number of the end of this event.
    `int` | `getEndLineNumber()` Returns the line number of the end of this event.
    `boolean` | `isSynthesized()` Returns true if this corresponding event was synthesized.

- - ### Method Detail

    - #### getBeginLineNumber

          int getBeginLineNumber()

      Returns the line number of the beginning of this event.

    - #### getBeginColumnNumber

          int getBeginColumnNumber()

      Returns the column number of the beginning of this event.

    - #### getBeginCharacterOffset

          int getBeginCharacterOffset()

      Returns the character offset of the beginning of this event.

    - #### getEndLineNumber

          int getEndLineNumber()

      Returns the line number of the end of this event.

    - #### getEndColumnNumber

          int getEndColumnNumber()

      Returns the column number of the end of this event.

    - #### getEndCharacterOffset

          int getEndCharacterOffset()

      Returns the character offset of the end of this event.

    - #### isSynthesized

          boolean isSynthesized()

      Returns true if this corresponding event was synthesized.

(C) Copyright 2002-2014, Andy Clark, Marc Guillemot. All rights reserved.